Subject: [ntpwg] Problem with Symmetric Key in both NTPv4 and Autokey drafts

From: Danny Mayer <[email-masked]>
Date: Wed, 06 Aug 2008 13:14:49 -0400

I have been reading the autokey draft and it mentions the symmetric key 
authentication referencing the NTPv3 RFC 1305. See P7 Section 3 item 1. 
However that RFC is obsoleted by both the NTPv4 draft and the autokey 
draft (though I'm not sure an Informational RFC can obsolete a standards 
track RFC). The NTPv4 draft mentions in Section 7.3 (P.17) that 
symmetric key it is described in the draft when it does not. It looks 
like we need to pull parts of RFC 1305 Appendix C into the NTPv4 draft 
if that's what needs to be copied. I missed this yesterday when going 
through the document.

Sorry to hold things up, but that's an important piece of the NTPv4 
protocol.

Danny
_______________________________________________
ntpwg mailing list
[email-masked]
https://lists.ntp.org/mailman/listinfo/ntpwg

---

From: "David L. Mills" <[email-masked]>
Date: Wed, 06 Aug 2008 18:08:31 +0000

Danny,

I thought the symmetric key description was clear from context. If you 
think otherwise, please feel free to modifiy the documents or provide 
markup.

Dave

---

From: Danny Mayer <[email-masked]>
Date: Wed, 06 Aug 2008 14:17:16 -0400

Dave,

I'll let someone else pipe up about this with their view. It may just be me.

Danny

---

From: Brian Haberman <[email-masked]>
Date: Thu, 07 Aug 2008 08:14:33 -0400

Hi Danny & Dave,
      From my perspective, I think the description of the symmetric key 
handling in the NTPv4 protocol draft is clear.

Regards,
Brian

---

From: Yaakov Stein <[email-masked]>
Date: Thu, 7 Aug 2008 19:20:43 +0300

Danny,

I tend to agree that there are some wording problems here.

First, the wording "described in this report" should probably be fixed to "described in this RFC".

Second, the symmetric key cryptographic algorithm is really NOT described very much here,
however, I guess we can get away with the following three "descriptions"
the following page   :
    finally an optional message authentication code
   (MAC) consisting of the key identifier field and message digest field
page 33
   however, if authentication is implemented, then the MD5 keyed hash algorithm
   described in [RFC1321] must be supported.
page 55
    NTPv4 provides an optional authentication field that utilizes the MD5
   algorithm.

Third, while we are at it, the wording on page 3
       While the NTPv3 symmetric key authentication scheme described in this document has been carried
       over from NTPv3 ...
should really read
       While the symmetric key authentication scheme described in this document has been carried
       over from NTPv3 ...

Finally, I am not sure if we are allowed to reference back to RFC 1305 Appendix C as the source of
the authentication, if this RFC is being obsoleted here. However, if we do, then 1305
should not be listed as an <informative> reference, but rather as a <normative> one.
I think we need Mark's guidance here.

Y(J)S

-----Original Message-----
From: ntpwg-bounces+yaakov_s=[email-masked] [mailto:ntpwg-bounces+yaakov_s=[email-masked]] On Behalf Of Danny Mayer
Sent: Wednesday, August 06, 2008 9:17 PM
To: David L. Mills
Cc: NTP Working Group
Subject: Re: [ntpwg] Problem with Symmetric Key in both NTPv4 and Autokey drafts

Dave,

Danny
David L. Mills wrote:
>> I have been reading the autokey draft and it mentions the symmetric
>> key authentication referencing the NTPv3 RFC 1305. See P7 Section 3 item 1.
>> draft (though I'm not sure an Informational RFC can obsolete a
>> standards track RFC). The NTPv4 draft mentions in Section 7.3 (P.17)
>> that symmetric key it is described in the draft when it does not. It
>> looks like we need to pull parts of RFC 1305 Appendix C into the
>> NTPv4 draft if that's what needs to be copied. I missed this
>> yesterday when going through the document.
>>

---

From: "David L. Mills" <[email-masked]>
Date: Thu, 07 Aug 2008 18:03:04 +0000

Yaakov,

I have no trouble with your changes.

Dave

Yaakov Stein wrote:

> From: ntpwg-bounces+yaakov_s=[email-masked] 
> [mailto:ntpwg-bounces+yaakov_s=[email-masked]] On Behalf Of 
> Danny Mayer